/* @tailwind base;
@tailwind components;
@tailwind utilities; */

:root {
    --color-black: #000;
    --color-white: #fff;
    --color-gray: linear-gradient(135deg, #04192c, #13457a);
    --color-golden: #FEA116;
    --color-orange: #E3651D;
    --popup-bg: linear-gradient(135deg, #091733, #1a3850);
    --text-gadient: linear-gradient(90deg, #52ffa8, #c031b5);
    --font: "Poppins", sans-serif;
}




.app__navbar {
    width: 100%;
    justify-content: space-between;
    background: var(--color-dark-blue);
    padding: 1rem 2rem;
    display: flex;
    align-items: center;
    position: relative;
    z-index: 10;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
}

.app__navbar:hover {
    background-color: var(--color-black);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
}

.app__navbar-logo {
    display: flex;
    align-items: center;
    transition: transform 0.3s ease-in-out;
    animation: bounce 2s infinite;
}

.app__navbar-logo img {
    width: 150px;
    transition: transform 0.3s ease-in-out;
}

.app__navbar-links {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    list-style: none;
    opacity: 1;
    transition: opacity 0.3s ease-in-out;
}

.app__navbar-links li {
    margin: 0 1rem;
    cursor: pointer;
    transition: transform 0.3s ease-in-out;
    animation: fadeIn 1.5s ease-in-out;
}

.app__navbar-links li:hover {
    transform: translateY(-3px);
}

.app__navbar-links li a {
    font-family: var(--font);
    letter-spacing: 0.5px;
    color: var(--color-white);
    text-decoration: none;
    font-weight: 500;
    padding: 0.3rem 0.7rem;
    border-radius: 0.5rem;
    transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out;
    position: relative;
    overflow: hidden;
}

.app__navbar-links li a::before {
    content: "";
    position: absolute;
    background-color: var(--color-golden);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: -1;
    border-radius: 0.7rem;
    transform: scaleY(0);
    transform-origin: right;
    transition: transform 0.3s ease-in-out;
}

.app__navbar-links li a:hover::before {
    transform: scaleX(1);
    transform-origin: left;
}

.app__navbar-links li a:hover {
    color: var(--color-black);
}

.app__navbar-login {

    display: flex;
    justify-content: flex-end;
    align-items: center;
    cursor: pointer;
    animation: slideInRight 1.2s ease-in-out;
}

.app__navbar-login a {
    margin: 0 1rem;
    text-decoration: none;
    transition: .5s ease;
    background-color: var(--color-golden);

}

.app__navbar-login .a :hover {
    border-bottom: 1px solid var(--color-golden);
    background-color: var(--color-golden);
}

.app__navbar-smallscreen {
    display: none;
}

/* Mobile menu overlay */
.app__navbar-smallscreen_overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, 0.95);
    z-index: 5;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.app__navbar-smallscreen_overlay.active {
    display: flex;
    opacity: 1;
    animation: fadeInOverlay 0.5s ease-in-out;
}

.app__navbar-smallscreen_links {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.app__navbar-smallscreen_links li {
    margin: 1rem 0;
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.3s ease-in-out, transform 0.3s ease-in-out;
}

.app__navbar-smallscreen_overlay.active .app__navbar-smallscreen_links li {
    opacity: 1;
    transform: translateY(0);
    transition-delay: 0.1s;
    animation: slideInUp 0.5s ease-in-out;
}

.app__navbar-smallscreen_links li a {
    color: var(--color-white);
    font-size: 1.5rem;
    text-align: center;
    font-family: var(--font);
    text-decoration: none;
    transition: color 0.3s ease;
}

.app__navbar-smallscreen_links li a:hover {
    color: var(--color-golden);
}

.overlay__close {
    position: absolute;
    top: 34px;
    right: 14px;
    cursor: pointer;
    color: var(--color-golden);
    font-size: 40px;
    transition: transform 0.3s ease-in-out;
}

.overlay__close:hover {
    transform: rotate(90deg);
    background-color: var(--color-orange);
    border-radius: 0.5rem;
}

/* Responsive adjustments */
@media screen and (max-width: 1150px) {
    .app__navbar-links {
        display: none;
    }

    .app__navbar-smallscreen {
        display: flex;
    }
}

@media screen and (max-width: 650px) {
    .app__navbar {
        padding: 1rem;
    }

    .app__navbar-logo img {
        width: 110px;
    }

    #language {
        display: none;
    }
}


/* Keyframes for animations */
@keyframes bounce {

    0%,
    20%,
    50%,
    80%,
    100% {
        transform: translateY(0);
    }

    40% {
        transform: translateY(-15px);
    }

    60% {
        transform: translateY(-10px);
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(10px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes slideInRight {
    from {
        transform: translateX(100%);
        opacity: 0;
    }

    to {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes fadeInOverlay {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes slideInUp {
    from {
        transform: translateY(100%);
        opacity: 0;
    }

    to {
        transform: translateY(0);
        opacity: 1;
    }
}

/* Header End */

/* Popup Start */

.popup-container {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 999;
    justify-content: center;
    align-items: center;
    animation: fadeIn 0.3s ease-out;
    box-shadow: 0 0 20px rgba(0, 0, 5px, 2px);
}

.popup-content {
    background: var(--popup-bg);
    color: #ffffff;
    padding: 2rem;
    max-width: 22rem;
    text-align: center;
    border-radius: 1rem;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
    position: relative;
    overflow: hidden;
    animation: slideIn 0.3s ease-out;
}


.paragraph {
    color: var(--color-orange);
    font-size: 1.5rem;
    margin-bottom: 2rem;
    cursor: pointer;
    transition: color 0.3s ease;
}

.popup-content .text-lg {
    letter-spacing: 0.1rem;
}

.popup-content .paragraph:hover {
    color: var(--color-golden);
}

.btn svg {
    fill: var(--color-orange);
    margin-top: 2rem;
    border-radius: 2rem;
    transition: transform 0.3s ease-in-out, fill 0.3s ease-in-out
}

.btn:hover svg {
    fill: var(--color-orange);
    transform: rotate(90deg);
    background-color: var(--color-gray);
    box-shadow: 0px 0px 15px 10px var(--color-orange);
}

/* Keyframes for animations */
@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes slideIn {
    from {
        transform: scale(0);
    }

    to {
        transform: scale(1);
    }
}

/* Popup End */




